package example;

import javax.script.ScriptEngine;
import javax.script.ScriptEngineManager;

public class Jsr223Example {
    public static void main(final String[] args) {
        ScriptEngineManager manager = new ScriptEngineManager();
        ScriptEngine javascriptEngine = manager.getEngineByName("javascript");
        ScriptEngine jrubyEngine = manager.getEngineByName("jruby");
        ScriptEngine jythonEngine = manager.getEngineByName("jython");

        if (javascriptEngine == null) {
            System.err.println("could not find javascript engine");
            System.exit(-1);
        }
        if (jrubyEngine == null) {
            System.err.println("could not find jruby engine");
            System.exit(-2);
        }
        if (jythonEngine == null) {
            System.err.println("could not find jython engine");
            System.exit(-3);
        }
        System.out.println("ok");
    }
}